Bug 57009 - Gcc internal error: Segmentation fault at cc1
Summary: Gcc internal error: Segmentation fault at cc1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-03 06:04 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 18:40:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The source program check_A13.c and the internal result check_A13.i compressed in tar.gz (112.45 KB, application/octet-stream)
2001-12-03 06:08 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-12-03 06:04:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
GCC report an internal error when I tried to compile a large but simple C
program.  I tried gcc 2.86-85 on Redhat 7.1 and gcc 3.0.1 on Redhat 7.2 and
get the same error.  I used work on Redhat 6.1 with gcc version
egcs-2.91.66 19990314. This program can successfully compile and run. So
this must be a bug introduced in gcc versions newer than 2.91.

Version-Release number of selected component (if applicable):
gcc 2.96-81 20000731

How reproducible:
Always

Steps to Reproduce:
1. Compile the attached source code with gcc
	

Actual Results:  Gcc reported an internal error and stoped. See additional
information for the log.

Expected Results:  This program should be able to compile without error.

Additional info:

builder@ht001w [29] gcc -v -save-temps -o test check_A13.c
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-81)
 /usr/lib/gcc-lib/i386-redhat-linux/2.96/cpp0 -lang-c -v -D__GNUC__=2
-D__GNUC_MINOR__=96 -D__GNUC_PATCHLEVEL__=0 -D__ELF__ -Dunix -Dlinux
-D__ELF__ -D__unix__
-D__linux__ -D__unix -D__linux -Asystem(posix) -Acpu(i386) -Amachine(i386)
-Di386 -D__i386 -D__i386__ -D__tune_i386__ check_A13.c check_A13.i
GNU CPP version 2.96 20000731 (Red Hat Linux 7.1 2.96-81) (cpplib) (i386
Linux/ELF)
ignoring nonexistent directory "/usr/local/include"
ignoring nonexistent directory "/usr/i386-redhat-linux/include"
#include "..." search starts here:
#include <...> search starts here:
 /usr/lib/gcc-lib/i386-redhat-linux/2.96/include
 /usr/include
End of search list.
 /usr/lib/gcc-lib/i386-redhat-linux/2.96/cc1 check_A13.i -quiet -dumpbase
check_A13.c -version -o check_A13.s
GNU C version 2.96 20000731 (Red Hat Linux 7.1 2.96-81) (i386-redhat-linux)
compiled by GNU C version 2.96 20000731 (Red Hat Linux 7.1 2.96-81).
gcc: Internal error: Segmentation fault (program cc1)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Comment 1 Need Real Name 2001-12-03 06:08:38 UTC
Created attachment 39387 [details]
The source program check_A13.c and the internal result check_A13.i compressed in tar.gz

Comment 2 Vern Gill 2001-12-10 01:20:01 UTC
I am getting problems with cc1 also. Trying to build Tk from cpan;
gcc -c -I../.. -I/usr/X11R6/include -fno-strict-aliasing -O2 -march=i386 -
mcpu=i686     -DVERSION=\"800.023\" -DXS_VERSION=\"800.023\" -fPIC -
I/usr/lib/perl5/5.6.0/i386-linux/CORE  -Wall -Wno-implicit-int -Wno-comment -
Wno-unused -D__USE_FIXED_PROTOTYPES__ X.c
gcc: Internal error: Terminated (program cc1)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [X.o] Error 1
make[2]: Leaving directory `/src/Tk800.023/Xlib/X'
make[1]: *** [subdirs] Error 2
make[1]: Leaving directory `/src/Tk800.023/Xlib'
make: *** [subdirs] Error 2

# rpm -qa | grep -i gcc
kgcc-1.1.2-40
libgcc-3.1-0.10
gcc-3.1-0.10
# gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.1/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --
infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-
checking --host=i386-redhat-linux --with-system-zlib
Thread model: posix
gcc version 3.1 20011127 (Red Hat Linux Rawhide 3.1-0.10)


Comment 3 Jakub Jelinek 2001-12-10 11:15:59 UTC
vgill@technologist.com's report has nothing to do with this original one,
so please submit it as a separate report, with included preprocessed source
(gcc -save-temps). Thanks.

Comment 4 Need Real Name 2002-05-02 17:00:00 UTC
Hi jakub@redhat.com and any others looking into this, this bug seems have been
fixed by somebody working on gcc 3.1(not released yet when I am writing this). I
tried gcc 3.1 snapshot 20020429 and it compiled successfully, while gcc 3.0.4
still failed to work. I don't know change details between gcc 3.0 and 3.1 but
just want to share with you this information in case it might be useful.

Comment 5 Alan Cox 2002-12-15 18:40:37 UTC
Confirmed ok in 3.2



Note You need to log in before you can comment on or make changes to this bug.